Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP::IORAddressingInfo_var Class Reference

`#include <GIOPC.h>`

Collaboration diagram for GIOP::IORAddressingInfo_var:

[legend]
List of all members.

## Public Methods
| IORAddressingInfo_var (void)
| IORAddressingInfo_var (IORAddressingInfo *)
| IORAddressingInfo_var (const IORAddressingInfo_var &)
| ~IORAddressingInfo_var (void)
IORAddressingInfo_var & | operator= (IORAddressingInfo *)
IORAddressingInfo_var & | operator= (const IORAddressingInfo_var &)
IORAddressingInfo * | operator-> (void)
const IORAddressingInfo * | operator-> (void) const
| operator const IORAddressingInfo & () const
| operator IORAddressingInfo & ()
| operator IORAddressingInfo & () const
const IORAddressingInfo & | in (void) const
IORAddressingInfo & | inout (void)
IORAddressingInfo *& | out (void)
IORAddressingInfo * | _retn (void)
IORAddressingInfo * | ptr (void) const
## Private Attributes
IORAddressingInfo * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE GIOP::IORAddressingInfo_var::IORAddressingInfo_var | ( | void |  | ) |

ACE_INLINE GIOP::IORAddressingInfo_var::IORAddressingInfo_var | ( | GIOP::IORAddressingInfo * | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_var::IORAddressingInfo_var | ( | const IORAddressingInfo_var & | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_var::~IORAddressingInfo_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE GIOP::IORAddressingInfo * GIOP::IORAddressingInfo_var::_retn | ( | void |  | ) |

ACE_INLINE const GIOP::IORAddressingInfo & GIOP::IORAddressingInfo_var::in | ( | void |  | ) | const

ACE_INLINE GIOP::IORAddressingInfo & GIOP::IORAddressingInfo_var::inout | ( | void |  | ) |

GIOP::IORAddressingInfo_var::operator const IORAddressingInfo & | ( |  | ) | const

GIOP::IORAddressingInfo_var::operator IORAddressingInfo & | ( |  | ) | const

GIOP::IORAddressingInfo_var::operator IORAddressingInfo & | ( |  | ) |

ACE_INLINE const GIOP::IORAddressingInfo * GIOP::IORAddressingInfo_var::operator-> | ( | void |  | ) | const

ACE_INLINE GIOP::IORAddressingInfo * GIOP::IORAddressingInfo_var::operator-> | ( | void |  | ) |

ACE_INLINE GIOP::IORAddressingInfo_var & GIOP::IORAddressingInfo_var::operator= | ( | const IORAddressingInfo_var & | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_var & GIOP::IORAddressingInfo_var::operator= | ( | GIOP::IORAddressingInfo * | p | ) |

ACE_INLINE GIOP::IORAddressingInfo *& GIOP::IORAddressingInfo_var::out | ( | void |  | ) |

ACE_INLINE GIOP::IORAddressingInfo * GIOP::IORAddressingInfo_var::ptr | ( | void |  | ) | const

## Member Data Documentation

IORAddressingInfo* GIOP::IORAddressingInfo_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- GIOPC.h
- GIOPC.i